﻿--RazerGamingKeypad, a World of Warcraft® user interface addon.

local L = LibStub("AceLocale-3.0"):NewLocale("RazerGamingKeypad_GUI", "zhCN", false)

if L then

L.GAMEPAD = "游戏键盘"
L.BARS = "栏"
L.BUTTONS = "按键"
L.ADVANCED = "高级"
L.CURRENT = "当前栏"

L.GAMEPAD_STRATA = "游戏键盘层"
L.STRATA_1 = "背景"
L.STRATA_2 = "低"
L.STRATA_3 = "中"
L.STRATA_4 = "高"
L.STRATA_5 = "对话"

L.GAMEPAD_SCALE = "游戏键盘大小"

L.MAINPAD_SPACING = "主键盘按键间距"
L.DPAD_SPACING = "方向键按键间距"

L.MANUAL_BINDINGS = "手动配置绑定"

L.BLIZZ_MAINBAR = "启用Blizzard操作栏"

L.DEVICE_TOGGLE = "手动选择设备"
L.DEVICE_LIST = "Razer Orbweaver;Razer Tartarus"

L.OPTION_1 = "锁定栏"
L.OPTION_1_TOOLTIP = "锁定当前功能\以防止意外删除"

L.OPTION_2 = "Alt拖动"
L.OPTION_2_TOOLTIP = "当该栏被锁定时，同时按住 \"ALT\"，启用要删除的"

L.OPTION_3 = "Ctrl拖动"
L.OPTION_3_TOOLTIP = "当该栏被锁定时，同时按住 \"CTRL\"，启用要删除的"

L.OPTION_4 = "Shift拖动"
L.OPTION_4_TOOLTIP = "当该栏被锁定时，同时按住 \"SHIFT\"，启用要删除的"

L.OPTION_5 = "启用工具提示"
L.OPTION_5_TOOLTIP = "当\n光标悬浮在按键上方时显示功能工具提示"

L.OPTION_6 = "增强型"
L.OPTION_6_TOOLTIP = "在工具提示中显示增强型\n功能信息"

L.OPTION_7 = "在战斗中隐藏"
L.OPTION_7_TOOLTIP = "在战斗中隐藏功能工具提示"

L.OPTION_8 = "法术提示"
L.OPTION_8_TOOLTIP = "当发生特殊事件时在按键上显示提示"

L.OPTION_9 = "默认"
L.OPTION_9_TOOLTIP = "使用默认法术提示动画"

L.OPTION_10 = "备用"
L.OPTION_10_TOOLTIP = "使用温和的法术提示动画"

L.OPTION_11 = "绑定文本"
L.OPTION_11_TOOLTIP = "在按键上显示键绑定"

L.OPTION_12 = "缩微文字"
L.OPTION_12_TOOLTIP = "在按键上显示缩微名称"

L.OPTION_13 = "计数文本"
L.OPTION_13_TOOLTIP = "在按键上显示条目计数"

L.OPTION_14 = "技能冷却文本 "
L.OPTION_14_TOOLTIP = "显示用作技能冷却\n时间的数字"

L.OPTION_15 = "技能冷却透明度"
L.OPTION_15_TOOLTIP = "在技能冷却的同时\n按键透明度淡出"

L.OPTION_16 = "光环效果文本"
L.OPTION_16_TOOLTIP = "显示保持功能的增益或\n减益效果的剩余时间"

L.OPTION_17 = "光环效果指数"
L.OPTION_17_TOOLTIP = "当功能采用增益或减益效果时\n突出显示按键边框"

L.OPTION_18 = "向上单击 "
L.OPTION_18_TOOLTIP = "让按键响应\n\"向上\" 单击"

L.OPTION_19 = "向下单击"
L.OPTION_19_TOOLTIP = "让按键响应\n\"向下\" 单击"

L.OPTION_20 = "范围指示灯"
L.OPTION_20_TOOLTIP = "当功能超出范围时\n突出显示按键"

L.BARSTATE_pagedbar = "分页栏"
L.BARSTATE_pagedbar_TOOLTIP = "允许此栏使用六个随默认键\绑定设置而变化的独特页面\n\n备注：栏中只能有一个活动的主状态"

L.BARSTATE_stance = "姿态"
L.BARSTATE_stance_TOOLTIP = "允许此栏响应\n人物姿态/形态变化\n\n备注：栏中只能有一个活动的主状态"

L.BARSTATE_alt = "Alt键"
L.BARSTATE_alt_TOOLTIP = "允许此栏响应\n\"ALT\" 键"

L.BARSTATE_ctrl = "Ctrl键"
L.BARSTATE_ctrl_TOOLTIP = "允许此栏响应\n\"CTRL\" 键"

L.BARSTATE_shift = "Shift键"
L.BARSTATE_shift_TOOLTIP = "允许此栏响应\n\"SHIFT\" 键"

L.BARSTATE_prowl = "潜行"
L.BARSTATE_prowl_TOOLTIP = "允许此栏显示\n特殊德鲁伊潜行功能"

L.BARSTATE_reaction = "反应"
L.BARSTATE_reaction_TOOLTIP = "允许此栏对\n当前目标的敌意作出反应"

L.BARSTATE_combat = "战斗"
L.BARSTATE_combat_TOOLTIP = "允许此栏在战斗中\n显示功能"

L.BARSTATE_group = "群组栏"
L.BARSTATE_group_TOOLTIP = "允许此栏在群组中\n显示功能"

L.BARSTATE_fishing = "钓鱼"
L.BARSTATE_fishing_TOOLTIP = "允许此栏在装配鱼竿时\n显示功能"

L.ENABLE_VEHICLE = "使用车辆按键游戏键盘"
L.VEHICLE_EDIT_SHOW = "显示车辆布局"
L.VEHICLE_EDIT_HIDE = "隐藏车辆布局"

L.RAZERMOVEACTIONS = "移动按键"
L.RAZERKEYMAPACTIONS = "键映射按键"
L.VEHICLEACTIONS = "车辆/拥有按键"

end