--RazerOrbweaver, a World of Warcraft® user interface addon.

RazerOrbweaver = {
	SlashCommands = {},
	SlashHelp = {},
	sIndex = {},
	iIndex = { [1] = "INTERFACE\\ICONS\\INV_MISC_QUESTRMARK" },
	cIndex = {},
	StanceIndex = {},
	ShowGrids = {},
	HideGrids = {},
	BARIndex = {},
	BTNIndex = {},
	BINDIndex = {},
	MacroDrag = {},
	StartDrag = false,
	maxActionID = 132,
	maxPetID = 10,
	OpDep = false,
}

RazerOrbweaverDB = {

	bars = {},
	buttons = {},
	firstRun = {},

	layout = 1,
	strata = "BACKGROUND",
	scale = 1,

	pad_main = 6,
	pad_d = -18,
	pad_thumb = 20,

	buttonLoc = { -0.85, -111.45 },
	buttonRadius = 87.5,

	selfCast = false,
	focusCast = false,

	throttle = 0.2,
	timerLimit = 4,

	mainbar = true,

	razerBindings = true,

	useVehicle = false,

	dpadState = true,

	KeyMap = 1,

	fix08082012 = "",

	debug = {},

}

RazerOrbweaverSpec = {}

RazerOrbweaverMigrator = true

RazerOrbweaverItemCache = {}

local R = RazerOrbweaver

local defaultDB, DB = CopyTable(RazerOrbweaverDB), CopyTable(RazerOrbweaverDB)

local specDefaults = { cSpec = 1 }

local events = {}

local firstevent = false

function R.Control_OnEvent(self, event, ...)

	if (event == "ADDON_LOADED" and ... == "RazerOrbweaver") then

		R.player, R.class, R.level, R.realm = UnitName("player"), select(2, UnitClass("player")), UnitLevel("player"), GetRealmName()

		DB = RazerOrbweaverDB

		for k,v in pairs(defaultDB) do
			if (DB[k] == nil) then
				DB[k] = v
			end
		end

		if (DB.firstRun[R.realm] == nil) then
			DB.firstRun[R.realm] = {}
		end

		if (DB.firstRun[R.realm][R.player] == nil) then
			DB.firstRun[R.realm][R.player] = true
		end

		if (RazerOrbweaverSpec[R.realm] == nil) then
			RazerOrbweaverSpec[R.realm] = {}
		end

		if (RazerOrbweaverSpec[R.realm][R.player] == nil) then
			RazerOrbweaverSpec[R.realm][R.player] = { cSpec = 1 }
		end

		ROS = RazerOrbweaverSpec[R.realm][R.player]

		for k,v in pairs(specDefaults) do
			if (ROS[k] == nil) then
				ROS[k] = v
			end
		end

	end
end

local frame = CreateFrame("Frame", "RazerOrbweaverControl", UIParent)

frame.elapsed = 0
frame:SetScript("OnEvent", R.Control_OnEvent)
frame:RegisterEvent("ADDON_LOADED")