﻿local L = LibStub("AceLocale-3.0"):NewLocale("RazerGamingKeypad_GUI", "enUS", true)

L.GAMEPAD = "Game Pad"
L.BARS = "Bars"
L.BUTTONS = "Buttons"
L.ADVANCED = "Advanced"
L.CURRENT = "Current Bar"

L.GAMEPAD_STRATA = "Game Pad Strata"
L.STRATA_1 = "Background"
L.STRATA_2 = "Low"
L.STRATA_3 = "Medium"
L.STRATA_4 = "High"
L.STRATA_5 = "Dialog"

L.GAMEPAD_SCALE = "Game Pad Scale"

L.MAINPAD_SPACING = "Main Pad Button Spacing"
L.DPAD_SPACING = "D Pad Button Spacing"
L.THUMBPAD_SPACING = "Thumb Pad Button Spacing"

L.MANUAL_BINDINGS = "Manually Configure Bindings"

L.BLIZZ_MAINBAR = "Enable Blizzard Action Bar"

L.DEVICE_TOGGLE = "Manually Select Device"
L.DEVICE_1 = "Razer Orbweaver"
L.DEVICE_2 = "Razer Tartarus"
L.DEVICE_3 = "Razer Third Device"

L.DPAD_SWAP = "D-Pad Swap (temp name)"

L.OPTION_1 = "Lock Bar"
L.OPTION_1_TOOLTIP = "Lock abilities in place to\nprevent accidental removal"

L.OPTION_2 = "Alt Drag"
L.OPTION_2_TOOLTIP = "While the bar is locked, enable abilites\nto be removed while holding down \"ALT\""

L.OPTION_3 = "Ctrl Drag"
L.OPTION_3_TOOLTIP = "While the bar is locked, enable abilites\nto be removed while holding down \"CTRL\""

L.OPTION_4 = "Shift Drag"
L.OPTION_4_TOOLTIP = "While the bar is locked, enable abilites\nto be removed while holding down \"SHIFT\""

L.OPTION_5 = "Enable Tooltips"
L.OPTION_5_TOOLTIP = "Show ability tooltips when\nthe cursor is over the button"

L.OPTION_6 = "Enhanced"
L.OPTION_6_TOOLTIP = "Show enhanced ability\ninformation in tooltips"

L.OPTION_7 = "Hide In Combat"
L.OPTION_7_TOOLTIP = "Hide ability tooltips while in combat"

L.OPTION_8 = "Spell Alerts"
L.OPTION_8_TOOLTIP = "Show alerts on the buttons when special events happen"

L.OPTION_9 = "Default"
L.OPTION_9_TOOLTIP = "Use the default spell alert animation"

L.OPTION_10 = "Alternate"
L.OPTION_10_TOOLTIP = "Use a subdued spell alert animation"

L.OPTION_11 = "Bind Text"
L.OPTION_11_TOOLTIP = "Display keybindings on buttons"

L.OPTION_12 = "Macro Text"
L.OPTION_12_TOOLTIP = "Display macro names on buttons"

L.OPTION_13 = "Count Text"
L.OPTION_13_TOOLTIP = "Display item counts on buttons"

L.OPTION_14 = "Cooldown Text "
L.OPTION_14_TOOLTIP = "Display a numeric number\nfor ability cooldowns"

L.OPTION_15 = "Cooldown Alpha"
L.OPTION_15_TOOLTIP = "Fade button transaparency\nwhile on cooldown"

L.OPTION_16 = "Aura Text"
L.OPTION_16_TOOLTIP = "Display the time remaining on\nan ability's buff or debuff effect"

L.OPTION_17 = "Aura Ind"
L.OPTION_17_TOOLTIP = "Highlight the button border when\nan ability has a buff or debuff effect"

L.OPTION_18 = "Up Clicks "
L.OPTION_18_TOOLTIP = "Allow buttons to respond\nto \"up\" clicks"

L.OPTION_19 = "Down Clicks"
L.OPTION_19_TOOLTIP = "Allow buttons to respond\nto \"down\" clicks"

L.OPTION_20 = "Range Indicator"
L.OPTION_20_TOOLTIP = "Highlight buttons when\nan ability is out-of-range"

L.TEXTEDIT_BSTATE = "Bar State to Remap"
L.TEXTEDIT_BSTATE_TOOLTIP = "Select a paged or stance\nstate to remap to another"

L.TEXTEDIT_REMAP = "Remap State To"
L.TEXTEDIT_REMAP_TOOLTIP = "The state to remap to"

L.TEXTEDIT_CUSTOM = "Custom Visibility"
L.TEXTEDIT_CUSTOM_TOOLTIP = "Define a custom list of\nconditionals to display abilities"

L.BARSTATE_pagedbar = "Paged Bar"
L.BARSTATE_pagedbar_TOOLTIP = "Allow this bar to use six unique pages\nchanged with defualt keybindings\n\nNote: Only one primary state can be active on a bar"

L.BARSTATE_stance = "Stance"
L.BARSTATE_stance_TOOLTIP = "Allow this bar to respond\nto character stance/form changes\n\nNote: Only one primary state can be active on a bar"

L.BARSTATE_companion = "Pet"
L.BARSTATE_companion_TOOLTIP = "Allow this bar to show abilities\nbased on the presence of a combat pet\n\nNote: Only one primary state can be active on a bar"

L.BARSTATE_alt = "Alt Key"
L.BARSTATE_alt_TOOLTIP = "Allow this bar to respond\nto the \"ALT\" key"

L.BARSTATE_ctrl = "Ctrl Key"
L.BARSTATE_ctrl_TOOLTIP = "Allow this bar to respond\nto the \"CTRL\" key"

L.BARSTATE_shift = "Shift Key"
L.BARSTATE_shift_TOOLTIP = "Allow this bar to respond\nto the \"SHIFT\" key"

L.BARSTATE_stealth = "Stealth"
L.BARSTATE_stealth_TOOLTIP = "Allow this bar to show\nabilities based on stealth"

L.BARSTATE_prowl = "Prowl"
L.BARSTATE_prowl_TOOLTIP = "Allow this bar to show\nspecial druid prowl abilities"

L.BARSTATE_reaction = "Reaction"
L.BARSTATE_reaction_TOOLTIP = "Allow this bar to react to\nthe current target's hostility"

L.BARSTATE_combat = "Combat"
L.BARSTATE_combat_TOOLTIP = "Allow this bar to show\nabilities while in combat"

L.BARSTATE_group = "Group Bar"
L.BARSTATE_group_TOOLTIP = "Allow this bar to show\nabilities while in a group"

L.BARSTATE_fishing = "Fishing"
L.BARSTATE_fishing_TOOLTIP = "Allow this bar to show abilities\nwhile a fishing pole is equipped"

L.BARSTATE_vehicle = "Vehicle/Possess"
L.BARSTATE_vehicle_TOOLTIP = "<<not currently used>>"

L.BARSTATE_custom = "Use Custom Bar States"
L.BARSTATE_custom_TOOLTIP = "Edit custom bar state conditionals"

L.BARSTATE_preset = "Use Preset Bar States"
L.BARSTATE_preset_TOOLTIP = "Use preset bar state considtionals"

L.ENABLE_VEHICLE = "Use GamePad for Vehicle Buttons"
L.VEHICLE_EDIT_SHOW = "Show Vehicle Layout"
L.VEHICLE_EDIT_HIDE = "Hide Vehicle Layout"

L.RAZERMOVEACTIONS = "Movement Buttons"
L.RAZERKEYMAPACTIONS = "KeyMap Buttons"
L.VEHICLEACTIONS = "Vehicle/Possess Buttons"